From 5f3bdaf3c498cabd8fd32e29a83f4ade23f1d04f Mon Sep 17 00:00:00 2001
From: Matthias van de Meent <boekewurm+postgres@gmail.com>
Date: Mon, 21 Nov 2022 11:59:04 +0100
Subject: [PATCH v2] Remove duplicate of comment under rs_numblocks

The comment was duplicated with the refactoring of the TableAM APIs
in c2fe139c20 for PostgreSQL 12.
---
 src/include/access/heapam.h | 1 -
 1 file changed, 1 deletion(-)

diff --git a/src/include/access/heapam.h b/src/include/access/heapam.h
index fd67d500dc..a087aaa2f7 100644
--- a/src/include/access/heapam.h
+++ b/src/include/access/heapam.h
@@ -60,7 +60,6 @@ typedef struct HeapScanDescData
 	Buffer		rs_cbuf;		/* current buffer in scan, if any */
 	/* NB: if rs_cbuf is not InvalidBuffer, we hold a pin on that buffer */
 
-	/* rs_numblocks is usually InvalidBlockNumber, meaning "scan whole rel" */
 	BufferAccessStrategy rs_strategy;	/* access strategy for reads */
 
 	HeapTupleData rs_ctup;		/* current tuple in scan, if any */
-- 
2.30.2

